Bug 601594 - Unsigned updates can't be installed
Unsigned updates can't be installed
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kpackagekit (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-08 05:44 EDT by Martin Kho
Modified: 2010-09-14 08:34 EDT (History)
6 users (show)

See Also:
Fixed In Version: 0.6.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-14 08:34:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kho 2010-06-08 05:44:31 EDT
Description of problem:
In rawhide it's not uncommon that updates are not signed. kpackagekit won't let the user install them. Authentication missing?

Version-Release number of selected component (if applicable):
kpackagekit-0.6.0-2.fc13.x86_64
PackageKit-0.6.5-1.fc14.x86_64

Steps to Reproduce:
1. Select updates and press Apply button (a command board appears in the systray stating: "An untrusted package is installed. The package <package name> from rawhide is untrusted")
2. Press Continue button in the additional packages dialog (a message appears stating: "You are about to install unsigned packages can compromise your system, as it is impossible to verify if the software came from a trusted source. Are you sure you want to continue installation?")
3. Press Yes-button (a dialog appears stating that kpackagekit is "Waiting for service to start") The service (?) will never start.
  
Actual results:
Unsigned packages can't be installed

Expected results:
Unsigned packages can be installed (after authentication?)

Additional info:
Comment 1 Bug Zapper 2010-07-30 08:03:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Martin Kho 2010-09-08 15:37:14 EDT
Hi,

kpackagekit 0.6.1 solves this issue. I suppose that this report can be closed.

Thanks for the nice work! It seems that kpackagekit is on it's way back :-)

Martin Kho

Note You need to log in before you can comment on or make changes to this bug.